package de.hs_mannheim.informatik.bank.domain;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.Test;

public class GiroKontoTest {

	@Test
	public void testeDispo() {
		Girokonto giro = new Girokonto("Test", 0, 1000);
		
		assertEquals("Test", giro.getInhaber());
		
		giro.einzahlen(100, "Test", "Einzahlung", "JUnit");
		assertEquals(100, giro.getKontostand());
		
		assertTrue(giro.auszahlen(150, "Test", "Auszahlung", "JUnit"));
		assertEquals(-50, giro.getKontostand());

		assertTrue(giro.auszahlen(500, "Test", "Auszahlung", "JUnit"));
		assertEquals(-550, giro.getKontostand());
		
		assertFalse(giro.auszahlen(500, "Test", "Auszahlung", "JUnit"));
		assertEquals(-550, giro.getKontostand());
	}
	}

