package de.hs_mannheim.informatik.bank.facade;

import static org.junit.Assert.assertTrue;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;

import java.io.File;
import java.util.Arrays;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import de.hs_mannheim.informatik.bank.domain.Bank;
import de.hs_mannheim.informatik.bank.infrastructure.Persistenz;

class SystemTest {

	void clearAll() {
		File file = new File("C:\\test\\Bank-System\\Bank-Beispiel\\Testsystem-bank-data.ser");
		file.delete();
	}
	
	@Test
	void smokeTest() throws Exception {
		clearAll();
		Banksystem bs = new Banksystem("Testsystem");
		
		assertNotNull(bs);
		assertEquals(0, bs.getKontenliste().length);
		assertEquals("Testsystem", bs.getBankname());
	}
	
	@Test
	void testeEinzahlen() throws Exception {
		clearAll();
		Banksystem bs = new Banksystem("Testsystem");
		
		int kontonummer = bs.kontoAnlegen("testKonto", 2);
		
		assertEquals(10, bs.geldEinzahlen(kontonummer, 10));

	}
	
	@Test
	void persistenz() throws Exception {
		clearAll();
		Banksystem bs = new Banksystem("Testsystem");
		
		int kontonummer = bs.kontoAnlegen("testKonto", 2);
		
		assertEquals(10, bs.geldEinzahlen(kontonummer, 10));
		assertTrue(Persistenz.sindDatenGespeichert("Testsystem"));
	
			
		}
		
		
	}


